Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.commons.math3.analysis.solvers
Enum BaseSecantSolver.Method

    java.lang.Object
      java.lang.Enum<BaseSecantSolver.Method>
          org.apache.commons.math3.analysis.solvers.BaseSecantSolver.Method

All Implemented Interfaces:
  Serializable, Comparable<BaseSecantSolver.Method>

Enclosing class:
  BaseSecantSolver

    protected static enum BaseSecantSolver.Method

extends Enum<BaseSecantSolver.Method>

Secant-based root-finding methods.

Enum Constant Summary
`ILLINOIS` The `Illinois` method.
`PEGASUS` The `Pegasus` method.
`REGULA_FALSI` The `Regula Falsi` or False Position method.

Method Summary
`static BaseSecantSolver.Method` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static BaseSecantSolver.Method[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### REGULA_FALSI

    public static final BaseSecantSolver.Method REGULA_FALSI

  The `Regula Falsi` or False Position method.

### ILLINOIS

    public static final BaseSecantSolver.Method ILLINOIS

  The `Illinois` method.

### PEGASUS

    public static final BaseSecantSolver.Method PEGASUS

  The `Pegasus` method.

Method Detail

### values

    public static BaseSecantSolver.Method[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (BaseSecantSolver.Method c : BaseSecantSolver.Method.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static BaseSecantSolver.Method valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2013 The Apache Software Foundation. All Rights Reserved.